<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common___data__length__extension__api__functions" kind="group">
    <compoundname>group_ble_common_Data_length_extension_api_functions</compoundname>
    <title>Data Length Extension (DLE) API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common___data__length__extension__api__functions_1gad7b48609c738eb9feed41eea82e03728" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GetDataLength</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_GetDataLength</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function allows the application to read the suggested and maximum Tx/Rx packet size and suggested and maximum Tx/Rx time that the BLE Stack uses. </para>        </briefdescription>
        <detaileddescription>
<para>This is a non-blocking function. Current data length parameters are informed through the cy_stc_ble_data_length_param_t* type event parameter returned with the 'CY_BLE_EVT_GET_DATA_LENGTH_COMPLETE' event.</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1652" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The API are used for enable user to use Data Length Extension (DLE) feature of BLE Stack. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>